ImportError: LinuxMint17.3da "moduli.plotly nomli modul yo'q"

Men Pythonda yangiman. Men har doim bir qatorni chizish uchun quyidagi kodni kompilyatsiya qilishga harakat qilsam, ba'zi xatolar ko'rsatiladi. Lekin buni qanday tuzatishni bilmayman. Mana mening kodi :

import plotly.plotly as py
import plotly.graph_objs as go

# Create random data with numpy
import numpy as np

N = 500
random_x = np.linspace(0, 1, N)
random_y = np.random.randn(N)

# Create a trace
 trace = go.Scatter(
x = random_x,
y = random_y
)

data = [trace]

 py.iplot(data, filename='basic-line')

Quyidagi xatoni ko'rsatadi:

[email protected]-H81M-S /media/mks/KUTUBUDDIN1/test $ python datdaPlot.py 
Traceback (most recent call last):
  File "datdaPlot.py", line 1, in 
    import plotly.plotly as py
 ImportError: No module named plotly.plotly
 [email protected] /media/mks/KUTUBUDDIN1/test $   

Buni tuzatish uchun yordam bering. Oldindan rahmat.

Added:
According to Spandan Brahmbhatt, I have installed pip by sudo pip install plotly. But still shows the following error:

enter image description here

4
Debian Jessi'ga o'xshash bir muammo bor, faqat Python3 bilan ishlaydi - Python2 bilan ishlaydi. Ushbu muammoga oid har qanday yangi yangilanish yoki vaqtinchalik echim topdingizmi?
qo'shib qo'ydi muallif Novin Shahroudi, manba

6 javoblar

Avval ularni o'rnatishingiz kerak bo'ladi.

pip install plotly
pip install cufflinks
2
qo'shib qo'ydi

Birinchisi, men 2-rasmga yangi qo'shilaman va men xitoylik ekanligimni tushunishimga ishonchim komil emas.

Yaxshiyamki, siz buni sinab ko'rishingiz mumkin, men uchun, u ishlaydi:

import plotly
plotly.offline.init_notebook_mode(connected=True)
import plotly.offline as py

import plotly.plotly as py: this command will will communicate with a Plotly Cloud or Plotly Enterprise. get_figure downloads a figure from plot.ly or Plotly Enterprise. You need to provide credentials to download figures: Getting Started with Plotly for Python

Qarang:

2
qo'shib qo'ydi

Men ham bir xil masalaga ega edim, ammo keyinchalik bu turli xil python versiyalari bilan bog'liq edi.

Siz quyidagi buyruqni sinashingiz mumkin: (sizda python3 o'rnatilgan bo'lsa)

sudo pip3 install plotly
pip3 install plotly --upgrade
python3 

Foydalanilayotgan barcha paketlar faqat bitta python versiyasi uchun o'rnatilganligiga ishonch hosil qiling. Mening holimda bo'lgani kabi, barcha paketlar python3 uchun o'rnatildi, keyin kodimni "python filename.py" bilan ishlashga harakat qildim va bu ishlamay qoldi.

Bundan tashqari, havolani quyidagi hisobga olish ma'lumotlari bilan o'rnatishim mumkin: https://plot.ly/settings/api. https://plot.ly/settings/api linkidan foydalanib, o'zingizni ro'yxatdan o'tkazing. Keyin foydalanuvchi nomingiz va autentifikatsiya kalitingiz bilan ~/.plotly/.credentials faylini yarating.

1
qo'shib qo'ydi

Xuddi shu muammo bor edi. Yo'nalishni kataloglar orqali topdim. python python lib papkasida o'rnatilmoqda, faqatgina python lib-dan jildlashtirilgan papkani papka lib papkasiga nusxalash kerak. Men derazadan foydalanayotganimdan so'ng, kataloglar quyidagilar edi:

c: \ python34 \ lib \ sayt-paketlari

     

c: \ Anacoda3 \ Lib \ sayt-paketlari

1
qo'shib qo'ydi

ImportError: no plotly.plotly nomli modulga asoslangan holda, siz plotly modulini o'rnatmagan deb o'ylayman.

You can install it using pip

$ pip install plotly 

yoki

$ sudo pip install plotly 
0
qo'shib qo'ydi
@Primo Masalan, import sifatida plotly.plotly , hisobga olish ma'lumotlarini sozlashingiz kerak bo'lgan onlayn chizma. API kaliti kerak bo'ladi. Bu erda kalit haqida ko'proq bilib olishingiz mumkin: plot.ly/python/getting-started
qo'shib qo'ydi muallif Spandan Brahmbhatt, manba
@SB men buni qildim, lekin xatoni hali ham ko'rsatadi: men postga biriktirdim.
qo'shib qo'ydi muallif Primo, manba

Xuddi shu muammo bor edi. Men tasodifiy ploylt.py deb nomlangan ish katalogimda faylni ishlatganman. Men ushbu faylni katalogdan olib tashladim va u hozir yaxshi ishlaydi. Birinchidan, siz quruqlikka o'rnatilganligiga ishonch hosil qiling

    pip install plotly 

(Sinov) Bo'sh faylni oching, yozing

    import plotly  

va .py kengaytmasi bilan saqlang. Keyin uni ishga tushiring. Agar bu ishlayotgan bo'lsa, sizning o'rnatmaningiz yaxshi bo'ldi. Turli xil katalogda (har qanday kengaytma bilan) tasvirlangan boshqa faylni ko'chirib o'tkazing Umid qilamanki ishlaydi.

0
qo'shib qo'ydi
Python
Python
372 ishtirokchilar

Bu guruh python dasturlash tilini muhokama qilish uchun. Iltimos, o'zingizni hurmat qiling va faqat dasturlash bo'yicha yozing. Botlar mavzusini @botlarhaqida guruhida muhokama qling! FAQ: @PyFAQ Offtopic: @python_uz_offtopic

Python offtopic group !
Python offtopic group !
150 ishtirokchilar

@python_uz gruppasining offtop gruppasi. offtop bo'lsa ham reklama mumkin emas ) Boshqa dasturlash tiliga oid gruppalar @languages_programming